Subject: Re: bug#21258: nnmaildir and subdirectories

From: Glenn Morris <[email-masked]>
Date: Mon, 30 Jan 2017 17:37:54 -0500

Lars Ingebrigtsen wrote:

>> But it would be nice if Gnus just handled subdirectories out-of-the-box.
>
> I'm not familiar with the nnmaildir code at all, but wouldn't nnmaildir
> have to stat a whole lot of files if it were to find all possible
> directories?

I don't see why it should make a big difference to the performance, but
if there's no-one who wants to work on Maildir, it's all theoretical.

> So my guess is that this wouldn't be a good idea.  It sounds like you
> want nnmh or nnml, not nnmaildir, really...

I need Maildir because it is a standard format used by offlineimap,
mbsync, mu4e, etc. Some other (Gnus-specific?) format isn't an option.